package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TdFileDestory;

/**
 * 涉密文件销毁Service接口
 * 
 * @author ruoyi
 * @date 2024-05-15
 */
public interface ITdFileDestoryService 
{
    /**
     * 查询涉密文件销毁
     * 
     * @param destoryId 涉密文件销毁主键
     * @return 涉密文件销毁
     */
    public TdFileDestory selectTdFileDestoryByDestoryId(Long destoryId);

    /**
     * 查询涉密文件销毁列表
     * 
     * @param tdFileDestory 涉密文件销毁
     * @return 涉密文件销毁集合
     */
    public List<TdFileDestory> selectTdFileDestoryList(TdFileDestory tdFileDestory);

    /**
     * 新增涉密文件销毁
     * 
     * @param tdFileDestory 涉密文件销毁
     * @return 结果
     */
    public int insertTdFileDestory(TdFileDestory tdFileDestory);

    /**
     * 修改涉密文件销毁
     * 
     * @param tdFileDestory 涉密文件销毁
     * @return 结果
     */
    public int updateTdFileDestory(TdFileDestory tdFileDestory);

    /**
     * 批量删除涉密文件销毁
     * 
     * @param destoryIds 需要删除的涉密文件销毁主键集合
     * @return 结果
     */
    public int deleteTdFileDestoryByDestoryIds(String destoryIds);

    /**
     * 删除涉密文件销毁信息
     * 
     * @param destoryId 涉密文件销毁主键
     * @return 结果
     */
    public int deleteTdFileDestoryByDestoryId(Long destoryId);
}
