package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TdFileDestoryMapper;
import com.ruoyi.system.domain.TdFileDestory;
import com.ruoyi.system.service.ITdFileDestoryService;
import com.ruoyi.common.core.text.Convert;

/**
 * 涉密文件销毁Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-05-15
 */
@Service
public class TdFileDestoryServiceImpl implements ITdFileDestoryService 
{
    @Autowired
    private TdFileDestoryMapper tdFileDestoryMapper;

    /**
     * 查询涉密文件销毁
     * 
     * @param destoryId 涉密文件销毁主键
     * @return 涉密文件销毁
     */
    @Override
    public TdFileDestory selectTdFileDestoryByDestoryId(Long destoryId)
    {
        return tdFileDestoryMapper.selectTdFileDestoryByDestoryId(destoryId);
    }

    /**
     * 查询涉密文件销毁列表
     * 
     * @param tdFileDestory 涉密文件销毁
     * @return 涉密文件销毁
     */
    @Override
    public List<TdFileDestory> selectTdFileDestoryList(TdFileDestory tdFileDestory)
    {
        return tdFileDestoryMapper.selectTdFileDestoryList(tdFileDestory);
    }

    /**
     * 新增涉密文件销毁
     * 
     * @param tdFileDestory 涉密文件销毁
     * @return 结果
     */
    @Override
    public int insertTdFileDestory(TdFileDestory tdFileDestory)
    {
        return tdFileDestoryMapper.insertTdFileDestory(tdFileDestory);
    }

    /**
     * 修改涉密文件销毁
     * 
     * @param tdFileDestory 涉密文件销毁
     * @return 结果
     */
    @Override
    public int updateTdFileDestory(TdFileDestory tdFileDestory)
    {
        return tdFileDestoryMapper.updateTdFileDestory(tdFileDestory);
    }

    /**
     * 批量删除涉密文件销毁
     * 
     * @param destoryIds 需要删除的涉密文件销毁主键
     * @return 结果
     */
    @Override
    public int deleteTdFileDestoryByDestoryIds(String destoryIds)
    {
        return tdFileDestoryMapper.deleteTdFileDestoryByDestoryIds(Convert.toStrArray(destoryIds));
    }

    /**
     * 删除涉密文件销毁信息
     * 
     * @param destoryId 涉密文件销毁主键
     * @return 结果
     */
    @Override
    public int deleteTdFileDestoryByDestoryId(Long destoryId)
    {
        return tdFileDestoryMapper.deleteTdFileDestoryByDestoryId(destoryId);
    }
}
